org.apache.ignite.internal.processors.cache.mvcc.txlog

## Interface TxLogIO

All Known Implementing Classes:
  TxLogInnerIO, TxLogLeafIO

    public interface TxLogIO

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `compare(long pageAddr, int off, TxKey row)`
`long` `getMajor(long pageAddr, int off)`
`long` `getMinor(long pageAddr, int off)`
`byte` `getState(long pageAddr, int off)`
`void` `setMajor(long pageAddr, int off, long major)`
`void` `setMinor(long pageAddr, int off, long minor)`
`void` `setState(long pageAddr, int off, byte state)`

### Method Detail

#### compare

    int compare(long pageAddr,
                int off,
                TxKey row)

Parameters:
  `pageAddr` - Page address.
  `off` - Item offset.
  `row` - Row to compare with.
Returns:
  Comparision result.

#### getMajor

    long getMajor(long pageAddr,
                  int off)

Parameters:
  `pageAddr` - Page address.
  `off` - Item offset.
Returns:
  Major version

#### setMajor

    void setMajor(long pageAddr,
                  int off,
                  long major)

Parameters:
  `pageAddr` - Page address.
  `off` - Item offset.
  `major` - Major version

#### getMinor

    long getMinor(long pageAddr,
                  int off)

Parameters:
  `pageAddr` - Page address.
  `off` - Item offset.
Returns:
  Minor version.

#### setMinor

    void setMinor(long pageAddr,
                  int off,
                  long minor)

Parameters:
  `pageAddr` - Page address.
  `off` - Item offset.
  `minor` - Minor version.

#### getState

    byte getState(long pageAddr,
                  int off)

Parameters:
  `pageAddr` - Page address.
  `off` - Item offset.
Returns:
  Transaction state.

#### setState

    void setState(long pageAddr,
                  int off,
                  byte state)

Parameters:
  `pageAddr` - Page address.
  `off` - Item offset.
  `state` - Transaction state.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019